<?
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn or !$gid or !$cid){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
   if(!$txtactiva){$txtactiva="N";}

   $id_gr=dec($gid);
   $id_cr=dec($cid);
   $id_se=dec($sid);

   if(!$txtenlace or $txtenlace=="http://"){
     alert("Debe ingresar una dirección web","javascript:history.go(-1)");
   }

   $sql="insert into
         enlaces
         set url='$txtenlace',
         descripcion='$txtdescripcion',
         curso='$id_cr',
         grado='$id_gr',
         fecha='$fechahora',
         seccion='$id_se',
         usuario='$uuser'";

   $ins=mysql_query($sql);
   $id_tr=mysql_insert_id();

   alert("Enlace agregado con éxito","frm_enlace.php?gid=$gid&cid=$cid&nid=$nid&jid=$jid");
   break; // fin de agregar una nueva tarea

   //********************** ACTUALIZACION **************************//
   case "Update":
   $id_gr=dec($idg);
   $id_cr=dec($idc);
   $id_en=dec($ide);

   if(!$txtenlace or $txtenlace=="http://"){
      alert("Debe ingresar una dirección web","javascript:history.go(-1)");
   }

   $sql="update
         enlaces
         set url='$txtenlace',
         descripcion='$txtdescripcion',
         usuario='$uuser'
         where id = $id_en";

   $ins=mysql_query($sql);

   alert("Enlace actualizado con éxito","frm_enlace.php?gid=$gid&cid=$cid&sid=$sid&nid=$nid&jid=$jid");
   break;

   default: alert("Parámetros incorrectos","javascript:history.go(-1)");
   break;
  }

?>